import {NgModule} from '@angular/core';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {StudentRootComponent} from 'src/app/StudentComponents/student-root.component';
import {CommonModule} from '@angular/common';
import {StudentRoutesModule} from './student-routes.module';
import {StudentDashboardComponent} from 'src/app/StudentComponents/StudentDashboardComponents/student-dashboard.component';
import {StudentInfoService} from 'src/app/services/student-info.service';
import {StudentClassViewComponent} from './StudentClassView/student-class-view.component';
import {StudentViewService} from 'src/app/services/student-view.service';
import {StudentDataService} from 'src/app/services/student-data.service';
import {StudentCompletedViewComponent} from 'src/app/StudentComponents/StudentCompletedView/student-completed-view.component';
import {StudentSubmissionViewComponent} from 'src/app/StudentComponents/StudentSubmissionView/student-submission-view.component';

@NgModule({
  declarations: [
    StudentRootComponent,
    StudentDashboardComponent,
    StudentClassViewComponent,
    StudentCompletedViewComponent,
    StudentSubmissionViewComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    StudentRoutesModule
  ],
  providers: [
    StudentInfoService,
    StudentViewService,
    StudentDataService
  ]
})
export class StudentRootModule { }
